Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The R installation of wps.statistical.d4science.org is more complex than the one that runs on the workers nodes.

We need to automate and replicate it. The first steps needed are a packages lists with versions, and a way to install the ones that are

not available on CRAN.

Related issues:

Related to D4Science Infrastructure - Task #422: Report libraries and configu... Closed Jul 23, 2015

Blocks D4Science Infrastructure - Task #217: Automate the installation and co... Closed Jun 04, 2015

History

#1 - Jun 03, 2015 11:17 AM - Gianpaolo Coro

- Status changed from New to In Progress

#2 - Jun 03, 2015 05:53 PM - Gianpaolo Coro

I have tried to gather the offline and the online packages required for both the Statistical Manager and the WPS service.

At this link there is a set of packages to be installed offline (see instructions below), plus one test script to check if many of the packages work: 

http://goo.gl/tlG7QR

The required R version is 2.15.3

In the following, I report the non-R software, the packages, and the sequences of commands used to install the offline packages. The sequence is

currently configured to take packages from a /root/download/ folder.

Please, correct this report should you find errors:

#Required software:

1 - GDAL:

wget http://download.osgeo.org/gdal/1.11.0/gdal1110.zip

unzip gdal1110.zip -d gdal1110

./configure --with-gdal-config=/usr/local/bin/gdal-config

2 - JAGS:

http://mcmc-jags.sourceforge.net/

#Packages to install from CRAN

data.table

doBy

multcomp

mvtnorm

survival

splines

TH.data

MASS

Matrix

lattice

abind

bayesmix

coda

R2jags

R2WinBUGS

rjags

runjags

abind
coda

maptools

rjags

sp

base

boot

class

cluster

codetools

compiler

datasets

foreign

graphics

grDevices

grid

KernSmooth

lattice

MASS

Matrix

methods

mgcv

nlme

nnet

parallel

rpart

spatial

splines

stats

stats4

survival

tcltk

tools

utils 

#Packages for ICES processes - Install sequence

install.packages("/root/download/Rcpp_0.9.10.tar.gz", repos = NULL, type="source")

install.packages("/root/download/plyr_1.8.tar.gz", repos = NULL, type="source")

install.packages("stringr")

install.packages("/root/download/reshape2_1.2.tar.gz", repos = NULL, type="source")

install.packages("/root/download/data.table_1.9.2.tar.gz", repos = NULL, type="source")

install.packages("R2HTML")

install.packages("multcomp")

install.packages("Matrix")

install.packages("lattice")

install.packages("snow")

install.packages("/root/download/RcppEigen_0.3.2.0.tar.gz", repos = NULL, type="source")

install.packages("minqa")

install.packages("/root/download/lme4_1.0-5.tar.gz", repos = NULL, type="source")

install.packages("/root/download/doBy_4.5-3.tar.gz", repos = NULL, type="source")

install.packages("mvtnorm")

install.packages("survival")

install.packages("data.table")

help(package=splines)

help(package=TH.data)

help(package=MASS)

#Packages for FAO processes - Install sequence

install.packages("RCurl")

install.packages("digest")

install.packages("/root/download/httr_0.2.tar.gz", repos = NULL, type="source")

install.packages("memoise")

install.packages("whisker")

install.packages("evaluate")

install.packages("/root/download/devtools_1.4.1.tar.gz", repos = NULL, type="source")

require(devtools)

install_github("rsdmx", "opensdmx")

apt-get update

apt-get install libgdal1-dev

apt-get install libgeos-dev

apt-get install libspatialite-dev

install.packages("rgdal")

install.packages("rgeos")

require(devtools)

install_github("RFigisGeo", "openfigis")
#Test

source("/root/download/interpolateTacsat.r")

#3 - Jun 04, 2015 05:21 PM - Andrea Dell'Amico

- Subject changed from Document the R installation on wps.statistical.d4science.org to Document the R installation on the statistical-manager nodes.

- Parent task deleted (#206)

The packages list describes the installation on the statistical-manager* nodes. 

#4 - Jun 04, 2015 05:26 PM - Andrea Dell'Amico

- Blocks Task #217: Automate the installation and configuration of the statistical-manager nodes added

#5 - Jun 24, 2015 12:07 PM - Gianpaolo Coro

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#6 - Jul 27, 2015 06:00 PM - Gianpaolo Coro

- Related to Task #422: Report libraries and configuration components for DataMiner added

#8 - Nov 27, 2015 05:58 PM - Andrea Dell'Amico

Some notes:

Almost all the R packages must be installed specifying the version and take them from the archives, because the latest versions do not install on

R 2.15.3

maptools was not installed on dataminer1-d-d4s.d4science.org that I'm using as a reference for the packages versions that were not specified

here. The same is true for runjags.

#9 - Nov 27, 2015 08:15 PM - Andrea Dell'Amico

This is the list of installed R packages with their versions:

           Package      Version

abind      "abind"      "1.4-3"

bayesmix   "bayesmix"   "0.7-4"

bitops     "bitops"     "1.0-6"

chron      "chron"      "2.3-47"

coda       "coda"       "0.18-1"

data.table "data.table" "1.9.6"

devtools   "devtools"   "1.4.1"

digest     "digest"     "0.6.8"

doBy       "doBy"       "4.5-3"

evaluate   "evaluate"   "0.5.5"

httr       "httr"       "0.2"

lme4       "lme4"       "1.0-5"

maptools   "maptools"   "0.8-37"

Matrix     "Matrix"     "1.1-4"

memoise    "memoise"    "0.1"

minqa      "minqa"      "1.2.3"

multcomp   "multcomp"   "1.3-3"

mvtnorm    "mvtnorm"    "1.0-3"

plyr       "plyr"       "1.8"

R2HTML     "R2HTML"     "2.2.1"

R2jags     "R2jags"     "0.03-08"

R2WinBUGS  "R2WinBUGS"  "2.1-21"

Rcpp       "Rcpp"       "0.9.10"

RcppEigen  "RcppEigen"  "0.3.2.0"

RCurl      "RCurl"      "1.95-4.3"

reshape2   "reshape2"   "1.2"

RFigisGeo  "RFigisGeo"  "0.3"

rgdal      "rgdal"      "0.9-1"

rgeos      "rgeos"      "0.3-8"

rjags      "rjags"      "3-10"

rsdmx      "rsdmx"      "0.5-1"

runjags    "runjags"    "1.2.1-0"

sandwich   "sandwich"   "2.3-0"

snow       "snow"       "0.3-13"

sp         "sp"         "1.0-15"

stringr    "stringr"    "0.6.2"

TH.data    "TH.data"    "1.0-6"
uuid       "uuid"       "0.1-2"

whisker    "whisker"    "0.3-2"

XML        "XML"        "3.98-1.3"

zoo        "zoo"        "1.7-11"

base       "base"       "2.15.3"

boot       "boot"       "1.3-3"

class      "class"      "7.3-3"

cluster    "cluster"    "1.14.1"

codetools  "codetools"  "0.2-8"

compiler   "compiler"   "2.15.3"

datasets   "datasets"   "2.15.3"

foreign    "foreign"    "0.8-48"

graphics   "graphics"   "2.15.3"

grDevices  "grDevices"  "2.15.3"

grid       "grid"       "2.15.3"

KernSmooth "KernSmooth" "2.23-7"

lattice    "lattice"    "0.20-13"

MASS       "MASS"       "7.3-16"

Matrix     "Matrix"     "1.0-2"

methods    "methods"    "2.15.3"

mgcv       "mgcv"       "1.7-12"

nlme       "nlme"       "3.1-102"

nnet       "nnet"       "7.3-1"

parallel   "parallel"   "2.15.3"

rpart      "rpart"      "3.1-50"

spatial    "spatial"    "7.3-3"

splines    "splines"    "2.15.3"

stats      "stats"      "2.15.3"

stats4     "stats4"     "2.15.3"

survival   "survival"   "2.36-10"

tcltk      "tcltk"      "2.15.3"

tools      "tools"      "2.15.3"

utils      "utils"      "2.15.3"
